Agent Conversations
List items produced by a voice agent conversation response
Returns a paged collection of the output items produced by a specific response (the response's output
projection). For the complete ordered conversation history — including user input and client-created
tool outputs — use the conversation items route instead. Returns 404 when the conversation or
response was not persisted (store = false).
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
agent_name
string
required
The name of the agent.
conversation_id
string
required
The id of the conversation that contains the response.
response_id
string
required
The id of the response whose output items are listed.
Query parameters
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
before
string
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
data
OpenAI.RealtimeConversationItem[]
required
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
required
A value indicating whether there are additional values available not captured in this list.
Request
GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id}/responses/{response_id}/items HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json